Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.messaging.core.distributed.util
Class ServerResponse

    java.lang.Object
      org.jboss.messaging.core.distributed.util.ServerResponse

public class ServerResponse
extends java.lang.Object

A wrapper around a response coming from a single server delegate registered with a RpcServer. Returned by the rpcServerCalls.

Version:
  `$Revision: 1.3 $`
Author:
  Ovidiu Feodorov

Field Summary
`protected Address` | `address`
`protected java.io.Serializable` | `category`
`protected java.lang.Object` | `result`
`protected java.io.Serializable` | `subordinateID`

Constructor Summary
`ServerResponse(Address address, java.io.Serializable category, java.io.Serializable subordinateID, java.lang.Object result)`

Method Summary
`Address` | `getAddress()` Can be null.
`java.io.Serializable` | `getCategory()`
`java.lang.Object` | `getInvocationResult()` Return the result as it was returned by the remote sub-server (it can be null), or a Throwable, if the remote invocation generated an exception.
`java.io.Serializable` | `getSubordinateID()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### address

    protected Address address

### category

    protected java.io.Serializable category

### subordinateID

    protected java.io.Serializable subordinateID

### result

    protected java.lang.Object result

Constructor Detail

### ServerResponse

    public ServerResponse(Address address,
                          java.io.Serializable category,
                          java.io.Serializable subordinateID,
                          java.lang.Object result)

Method Detail

### getAddress

    public Address getAddress()

  Can be null.

### getCategory

    public java.io.Serializable getCategory()

### getSubordinateID

    public java.io.Serializable getSubordinateID()

### getInvocationResult

    public java.lang.Object getInvocationResult()

  Return the result as it was returned by the remote sub-server (it can be null), or a Throwable, if the remote invocation generated an exception.

  Returns:
    - the result, null or a Throwable.

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.